OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Protected Attributes | List of all members
Gradient< InGridT, MaskGridType, InterruptT > Class Template Reference

Compute the gradient of a scalar grid. More...

`#include <openvdb/tools/GridOperators.h>`

## Classes
struct | Functor

## Public Types
typedef InGridT | InGridType
typedef ScalarToVectorConverter< InGridT >::Type | OutGridType

## Public Member Functions
| Gradient (const InGridT &grid, InterruptT *interrupt=nullptr)
| Gradient (const InGridT &grid, const MaskGridType &mask, InterruptT *interrupt=nullptr)
OutGridType::Ptr | process (bool threaded=true)

## Protected Attributes
const InGridT & | mInputGrid
InterruptT * | mInterrupt
const MaskGridType * | mMask

## Detailed Description

template<typename InGridT, typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>
class openvdb::v11_0::tools::Gradient< InGridT, MaskGridType, InterruptT >

Compute the gradient of a scalar grid.

## Member Typedef Documentation

## ◆ InGridType

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

typedef InGridT InGridType

## ◆ OutGridType

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

typedef ScalarToVectorConverter<InGridT>::Type OutGridType

## Constructor & Destructor Documentation

## ◆ Gradient() [1/2]

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

Gradient | ( | const InGridT & | grid,
|  | InterruptT * | interrupt = `nullptr`
| ) |  |
| inline

## ◆ Gradient() [2/2]

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

Gradient | ( | const InGridT & | grid,
|  | const MaskGridType & | mask,
|  | InterruptT * | interrupt = `nullptr`
| ) |  |
| inline

## Member Function Documentation

## ◆ process()

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

OutGridType::Ptr process | ( | bool | threaded = `true` | ) |
| inline

## Member Data Documentation

## ◆ mInputGrid

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const InGridT& mInputGrid
| protected

## ◆ mInterrupt

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

InterruptT* mInterrupt
| protected

## ◆ mMask

template<typename InGridT , typename MaskGridType = typename gridop::ToMaskGrid<InGridT>::Type, typename InterruptT = util::NullInterrupter>

const MaskGridType* mMask
| protected